<div class="content mt-3">
  <div class="animated">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header">
            <strong class="card-title">Utilisateurs</strong>&nbsp;&nbsp;&nbsp;<i (click)='onExportUsers()' class="icon-click fa fa-share-square"></i>
          </div>
          <div class="card-body">

            <mat-form-field>
              <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Rechercher">
            </mat-form-field>

            <div class="mat-elevation-z2">
              <table mat-table [dataSource]="dataSource" matSort>

                <!-- First Name Column -->
                <ng-container matColumnDef="firstName">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-20"> Prénom </th>
                    <td mat-cell *matCellDef="let permission" class="tbl-cell-20"> {{permission.firstName}} </td>
                  </ng-container>

                <!-- Last Name Column -->
                <ng-container matColumnDef="lastName">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-20"> Nom </th>
                  <td mat-cell *matCellDef="let permission" class="tbl-cell-20"> {{permission.lastName}} </td>
                </ng-container>

                <!-- Email Column -->
                <ng-container matColumnDef="email">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-40"> Email </th>
                  <td mat-cell *matCellDef="let permission" class="tbl-cell-40"> {{permission.email}} </td>
                </ng-container>

                <!-- Administrateur Column -->
                <ng-container matColumnDef="admin">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-10 text-center"> Administrateur </th>
                  <td mat-cell *matCellDef="let permission" class="tbl-cell-10 text-center">
                    <mat-slide-toggle (change)='onUpdatePermission(permission)' [checked]="permission.admin"></mat-slide-toggle>
                  </td>
                </ng-container>

                <!-- Actions Column -->
                <ng-container matColumnDef="actions">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-10 text-center"> Actions </th>
                  <td  mat-cell *matCellDef="let permission" class="tbl-cell-10 text-center"><i (click)='onDeletePermission(permission)' class="icon-click fa fa-trash"></i></td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let permission; columns: displayedColumns;">
                </tr>
              </table>

              <mat-paginator [hidePageSize]="true" [pageSizeOptions]="[5]" showFirstLastButtons></mat-paginator>

            </div>

            <form (ngSubmit)='onAddPermission()' class="row mt-3">
              <div class="col-md-6 offset-md-3">
                <div class="col-md-10">
                  <mat-form-field class="col-12">
                    <input class="email" matInput placeholder="Email" [formControl]="email" required>
                  </mat-form-field>
                </div>

                <div class="col-md-2">
                  <button type='submit' class="btn btn-outline-secondary">Ajouter</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div><!-- .animated -->
</div><!-- .content -->
